GNU bug report logs - #10461
emacs is not a macro-editor

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: andre.desnoyers@HIDDEN; merged with #7046, #8114; dated Mon, 9 Jan 2012 09:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 7046 8114 10461. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10461 <at> debbugs.gnu.org:


Received: (at 10461) by debbugs.gnu.org; 3 Feb 2012 22:34:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 17:34:40 2012
Received: from localhost ([127.0.0.1]:52865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RtRiJ-00066P-T0
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2012 17:34:40 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:53127 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1RtRiI-00066I-49
	for 10461 <at> debbugs.gnu.org; Fri, 03 Feb 2012 17:34:38 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1RtRhh-0002b6-TW; Fri, 03 Feb 2012 17:34:02 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 10461 <at> debbugs.gnu.org
Subject: Re: bug#10461: emacs is not a macro-editor
References: <20120109072515.90575jbeaf6l178c@HIDDEN>
	<c5vcojbgpx.fsf@HIDDEN>
	<20120203020554.35844p809idywgsg@HIDDEN>
X-Spook: USCOI Leuken-Baden Sears Tower Aldergrove Attorney
X-Ran: VocE=zCJ6k1.?</R>;4vvVuYLEP\)W<{L[v1E*gF*p@JG_,<r9JY2+F.>+M'UWB9k!{'<'
X-Hue: black
X-Attribution: GM
Date: Fri, 03 Feb 2012 17:34:01 -0500
In-Reply-To: <20120203020554.35844p809idywgsg@HIDDEN> (andre
	desnoyers's message of "Fri, 03 Feb 2012 02:05:54 +0100")
Message-ID: <69d39v35t2.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10461
Cc: andre.desnoyers@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)


(Please keep 10461@debbugs cc'd)

andre.desnoyers@HIDDEN wrote:

> I have forgotten that :
> in my problem, file is build with very long lines (frequently 500
> bytes) on Mac Intosh. There are very important difference between
> logical lines (in file) and physical lines (in window).
> the X-windows has not good position after execution my macro when two
> consecutive matches are very distant and require a refresh of the
> screen.

Then I imagine this is the same issue as
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7046

ie visual-line-mode can affect the way macros behave.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10461; Package emacs. Full text available.

Message received at 10461 <at> debbugs.gnu.org:


Received: (at 10461) by debbugs.gnu.org; 3 Feb 2012 01:27:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 20:27:22 2012
Received: from localhost ([127.0.0.1]:51452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rt7vu-0006vN-Kh
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2012 20:27:22 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:33129 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Rt7vr-0006vE-Ur
	for 10461 <at> debbugs.gnu.org; Thu, 02 Feb 2012 20:27:21 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>) id 1Rt7vN-0008Id-Mv
	for 10461 <at> debbugs.gnu.org; Thu, 02 Feb 2012 20:26:49 -0500
Resent-Message-ID: <20267.14297.564305.141351@HIDDEN>
Resent-Date: Thu, 2 Feb 2012 20:26:49 -0500
Resent-From: Glenn Morris <rgm@HIDDEN>
Resent-To: 10461 <at> debbugs.gnu.org
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=ham
	version=3.3.2
X-pt: isis.lip6.fr
Message-ID: <20120203020554.35844p809idywgsg@HIDDEN>
References: <20120109072515.90575jbeaf6l178c@HIDDEN>
	<c5vcojbgpx.fsf@HIDDEN>
In-Reply-To: <c5vcojbgpx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=ISO-8859-1;
 DelSp="Yes";
 format="flowed"
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.7
	(isis.lip6.fr [132.227.60.2]);
	Fri, 03 Feb 2012 02:05:54 +0100 (CET)
X-Scanned-By: MIMEDefang 2.72 on 132.227.60.2
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-Received-From: 132.227.60.2
Date: Fri, 03 Feb 2012 02:05:54 +0100
From: andre.desnoyers@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#10461: emacs is not a macro-editor
X-Bogosity: unsure, spamicity=0.131198, v1.2.1
User-Agent: Internet Messaging Program (IMP) H3 (4.3.9)
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10461
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

I have forgotten that :
in my problem, file is build with very long lines (frequently 500  
bytes) on Mac Intosh. There are very important difference between  
logical lines (in file) and physical lines (in window).
the X-windows has not good position after execution my macro when two  
consecutive matches are very distant and require a refresh of the  
screen.

Quoting Glenn Morris <rgm@HIDDEN>:

> andre.desnoyers@HIDDEN wrote:
>
>> If two matches are more distant  than about 50 lines the second match
>> is not found, but the macro can be repeated !
>
> It seems to work when I tried it.
> Can you give a complete example? Attach a (perhaps compressed) example
> file, and show exactly what you typed, starting from `emacs -Q', and
> what happened.
>








Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10461; Package emacs. Full text available.

Message received at 10461 <at> debbugs.gnu.org:


Received: (at 10461) by debbugs.gnu.org; 12 Jan 2012 20:33:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 12 15:33:24 2012
Received: from localhost ([127.0.0.1]:55482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RlRKu-0003Bb-19
	for submit <at> debbugs.gnu.org; Thu, 12 Jan 2012 15:33:24 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:54856)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1RlRKr-0003BU-U2
	for 10461 <at> debbugs.gnu.org; Thu, 12 Jan 2012 15:33:23 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>) id 1RlRKK-0001xU-Ha
	for 10461 <at> debbugs.gnu.org; Thu, 12 Jan 2012 15:32:48 -0500
Resent-Message-ID: <20239.17264.365145.617711@HIDDEN>
Resent-Date: Thu, 12 Jan 2012 15:32:48 -0500
Resent-From: Glenn Morris <rgm@HIDDEN>
Resent-To: 10461 <at> debbugs.gnu.org
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=ham
	version=3.3.2
X-pt: isis.lip6.fr
Message-ID: <20120112194610.138126w9tseouisk@HIDDEN>
References: <20120109072515.90575jbeaf6l178c@HIDDEN>
	<c5vcojbgpx.fsf@HIDDEN>
In-Reply-To: <c5vcojbgpx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=ISO-8859-1;
 DelSp="Yes";
 format="flowed"
Content-Disposition: inline
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.7
	(isis.lip6.fr [132.227.60.2]);
	Thu, 12 Jan 2012 19:46:10 +0100 (CET)
X-Scanned-By: MIMEDefang 2.72 on 132.227.60.2
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by isis.lip6.fr id
	q0CIkASq029872
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-Received-From: 132.227.60.2
Date: Thu, 12 Jan 2012 19:46:10 +0100
From: andre.desnoyers@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#10461: emacs is not a macro-editor
X-Bogosity: unsure, spamicity=0.194256, v1.2.1
User-Agent: Internet Messaging Program (IMP) H3 (4.3.9)
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10461
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

I think this effect exists on Mac OS with Intel proc. In the past =20
version on Fedora Scientific Linux) my macro work on the very big =20
files (> 40Mo). It is possible there are conflict with my sartup. I =20
see the cursor points in bad line, then it will be a bad section =E0f =20
file which show in window (why?).

So, i prepare a test with your guide line.
    Thank Andrew

> andre.desnoyers@HIDDEN wrote:
>
>> If two matches are more distant  than about 50 lines the second match
>> is not found, but the macro can be repeated !
>
> It seems to work when I tried it.
> Can you give a complete example? Attach a (perhaps compressed) example
> file, and show exactly what you typed, starting from `emacs -Q', and
> what happened.
>








Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10461; Package emacs. Full text available.

Message received at 10461 <at> debbugs.gnu.org:


Received: (at 10461) by debbugs.gnu.org; 10 Jan 2012 17:39:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 12:39:03 2012
Received: from localhost ([127.0.0.1]:52662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rkff4-0000yH-Lj
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2012 12:39:03 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:45673)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Rkff0-0000xx-07
	for 10461 <at> debbugs.gnu.org; Tue, 10 Jan 2012 12:39:00 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Rkfed-0006Ce-9m; Tue, 10 Jan 2012 12:38:35 -0500
From: Glenn Morris <rgm@HIDDEN>
To: andre.desnoyers@HIDDEN
Subject: Re: bug#10461: emacs is not a macro-editor
References: <20120109072515.90575jbeaf6l178c@HIDDEN>
X-Spook: ASDIC defense information warfare Dateline ANDVT
X-Ran: h8qZw_^t$#s4p;]*wWA0hmN>s3SPrZBw'&b`%r3%Rp]K,"jhI:%WI[\cw7u(hP#F)XY6Z_
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 10 Jan 2012 12:38:34 -0500
Message-ID: <c5vcojbgpx.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 10461
Cc: 10461 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

andre.desnoyers@HIDDEN wrote:

> If two matches are more distant  than about 50 lines the second match
> is not found, but the macro can be repeated !

It seems to work when I tried it.
Can you give a complete example? Attach a (perhaps compressed) example
file, and show exactly what you typed, starting from `emacs -Q', and
what happened.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10461; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2012 09:27:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 09 04:27:03 2012
Received: from localhost ([127.0.0.1]:50668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RkBVO-0001BS-1j
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2012 04:27:02 -0500
Received: from eggs.gnu.org ([140.186.70.92]:47443)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <andre.desnoyers@HIDDEN>) id 1Rk8fs-0005HL-At
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2012 01:25:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andre.desnoyers@HIDDEN>) id 1Rk8fa-0004Yu-4u
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2012 01:25:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:53250)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andre.desnoyers@HIDDEN>) id 1Rk8fa-0004Yq-3Q
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2012 01:25:22 -0500
Received: from eggs.gnu.org ([140.186.70.92]:58534)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andre.desnoyers@HIDDEN>) id 1Rk8fZ-0004vR-0n
	for bug-gnu-emacs@HIDDEN; Mon, 09 Jan 2012 01:25:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andre.desnoyers@HIDDEN>) id 1Rk8fX-0004YW-Lr
	for bug-gnu-emacs@HIDDEN; Mon, 09 Jan 2012 01:25:20 -0500
Received: from isis.lip6.fr ([132.227.60.2]:65061)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andre.desnoyers@HIDDEN>) id 1Rk8fX-0004Y4-ER
	for bug-gnu-emacs@HIDDEN; Mon, 09 Jan 2012 01:25:19 -0500
Received: from triton.ufr-info-p6.jussieu.fr (triton.ufr-info-p6.jussieu.fr
	[132.227.68.44])
	by isis.lip6.fr (8.14.5/lip6) with ESMTP id q096PFNL023480
	for <bug-gnu-emacs@HIDDEN>; Mon, 9 Jan 2012 07:25:16 +0100 (CET)
X-pt: isis.lip6.fr
Received: from localhost (asim.lip6.fr [132.227.86.2])
	by triton.ufr-info-p6.jussieu.fr (8.11.6/jtpda-5.3.2+victor) with ESMTP
	id q096PFH01738
	for <bug-gnu-emacs@HIDDEN>; Mon, 9 Jan 2012 07:25:15 +0100
Received: from c5e35-1-88-189-193-28.fbx.proxad.net
	(c5e35-1-88-189-193-28.fbx.proxad.net [88.189.193.28]) by
	webmail.lip6.fr
	(Horde Framework) with HTTP; Mon, 09 Jan 2012 07:25:15 +0100
Message-ID: <20120109072515.90575jbeaf6l178c@HIDDEN>
Date: Mon, 09 Jan 2012 07:25:15 +0100
From: andre.desnoyers@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: emacs is not a macro-editor
MIME-Version: 1.0
Content-Type: text/plain;
 charset=ISO-8859-1;
 DelSp="Yes";
 format="flowed"
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.9)
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.7
	(isis.lip6.fr [132.227.60.2]);
	Mon, 09 Jan 2012 07:25:16 +0100 (CET)
X-Scanned-By: MIMEDefang 2.72 on 132.227.60.2
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 09 Jan 2012 04:27:00 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

Take un medium file : 4000 lines
Set a match for a search
build the macro
C-a			;; move-beginning-of-line
2*C-k			;; kill-line
C-x C-x			;; exchange-point-and-mark
C-y			;; yank
2*C-s			;; isearch-forward
C-a			;; move-beginning-of-line

this macro normally groups all lines who contain the match.

If two matches are more distant  than about 50 lines the second match  
is not found, but the macro can be repeated !

this bug exists in 22- versions and last 23-version on Mac.






Acknowledgement sent to andre.desnoyers@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10461; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Jun 2016 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.